.. _vim.vm.GuestOsDescriptor: ../../../vim/vm/GuestOsDescriptor.rst

.. _vim.vm.GuestOsDescriptor.SupportLevel: ../../../vim/vm/GuestOsDescriptor/SupportLevel.rst

vim.vm.GuestOsDescriptor.SupportLevel
=====================================
  Guest OS support level
  :contained by: `vim.vm.GuestOsDescriptor`_

  :type: `vim.vm.GuestOsDescriptor.SupportLevel`_

  :name: techPreview

values:
--------

terminated
   No longer supported.

techPreview
   This operating system may not be supported yet, please check VMware compatibility guide.

deprecated
   Support for this operating system will be terminated in the future. Please migrate to using a different operating system.

supported
   Fully supported.

unsupported
   This operating system is not supported.

legacy
   This operating system is not fully supported, but may have been supported in the past.

experimental
   This operating system is not supported, but may be supported in the future.
